<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Фитнес-клуб</title>
    <link rel="icon" type="image/png" href="/images/logo.png">
    <link rel="stylesheet" href="/static/css/user/headerStyles.css">
    <link rel="stylesheet" href="/static/css/user/footerStyles.css">
    <link rel="stylesheet" href="/static/css/admin/appointmentStyles.css">
    <script th:src="@{/scripts/copyScript.js}"></script>
</head>
<body>
<header>
    <div class="container1">
        <nav class="flex-block">
            <ul>
                <li class="logo-container">
                    <a th:href="@{/admin}">
                        <img th:src="@{/images/logo.png}" width="80" height="80" alt="My Club Logo">
                    </a>
                </li>
                <li><a th:href="@{/admin/appointment}" th:classappend="${currentPage == 'adminclub'} ? 'active' : ''">Запись</a></li>
                <li><a th:href="@{/admin/services}" th:classappend="${currentPage == 'adminservices'} ? 'active' : ''">Услуги</a></li>
                <li><a th:href="@{/admin/team}" th:classappend="${currentPage == 'adminteam'} ? 'active' : ''">Команда</a></li>
                <li><a th:href="@{/admin/contacts}" th:classappend="${currentPage == 'admincontacts'} ? 'active' : ''">Контакты</a></li>
                <li><a th:href="@{/admin/changeAdmin}" th:classappend="${currentPage == 'changeAdmin'} ? 'active' : ''">Администратор</a></li>
                <li><a th:href="@{/}">Выйти</a></li>
            </ul>
        </nav>
    </div>
</header>
<div class="admin-content">
    <table>
        <thead>
        <tr>
            <th>Удаление</th>
            <th>Имя клиента</th>
            <th>Телефон</th>
            <th>Дата записи</th>
            <th>Тренер</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="appointment : ${appointments}">
            <td>
                <form th:action="@{'/admin/appointment/delete/' + ${appointment.id}}" method="post">
                    <button type="submit">X</button>
                </form>
            </td>
            <td th:text="${appointment.clientName}"></td>
            <td th:text="${appointment.clientPhone}"></td>
            <td th:text="${appointment.appointmentDate}"></td>
            <td th:text="${appointment.trainerName}"></td>
        </tr>
        </tbody>
    </table>
</div>
</body>
</html>
